Debian Bug report logs - #642286
[xchat] Please enable autoloading python modules

version graph

Package: xchat; Maintainer for xchat is Davide Puricelli (evo) <evo@debian.org>; Source for xchat is src:xchat.

Reported by: Dererk <dererk@debian.org>

Date: Wed, 21 Sep 2011 05:45:08 UTC

Severity: normal

Tags: wontfix

Found in version 2.8.8-3.1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Davide Puricelli (evo) <evo@debian.org>:
Bug#642286; Package xchat. (Wed, 21 Sep 2011 05:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dererk <dererk@debian.org>:
New Bug report received and forwarded. Copy sent to Davide Puricelli (evo) <evo@debian.org>. (Wed, 21 Sep 2011 05:45:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dererk <dererk@debian.org>
To: submit@bugs.debian.org
Subject: [xchat] Please enable autoloading python modules
Date: Wed, 21 Sep 2011 02:43:57 -0300
[Message part 1 (text/plain, inline)]
Package: xchat
Version: 2.8.8-3.1
Severity: normal
Tags: patch

For some strange reason I couldn't put my finger on, the autoloading of
python modules on LIBDIR/plugin directory is just happening to do so on
WIN32 only.
This is pretty trivial patch, which has been already filed on upstream
side, that just takes out this limitation.

Please consider applying it ASAP, since this is pretty important for
python plugins to work out of the box.



Cheers,

Dererk

-- 
BOFH excuse #330:
quantum decoherence

[54_autoload_python_plugins.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Davide Puricelli (evo) <evo@debian.org>:
Bug#642286; Package xchat. (Sun, 07 Oct 2012 05:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to Davide Puricelli (evo) <evo@debian.org>. (Sun, 07 Oct 2012 05:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 642286@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 642286@bugs.debian.org
Subject: [xchat] Please enable autoloading python modules
Date: Sun, 7 Oct 2012 05:39:08 +0000
tags 642286 wontfix
tags 642286 - patch
stop


At this point I'm tagging this bug "wontfix" because upstream wrote on the
upstream bug report :
> That should be using xchat_get_info( ph, "libdirfs" ) instead of trying to
> include config.h and using XCHATLIBDIR
> 
> The reason xchat doesn't already load from there is because it makes it
> impossible to disable anything installed in there in a multi user situation.
> The ideal fix would be auto loading from there AND having some sort of plugin
> manager.

I found the upstream bug report in the patch :
http://sourceforge.net/tracker/?func=detail&aid=3412145&group_id=239&atid=100239




Added tag(s) wontfix. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 07 Oct 2012 05:42:04 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 07 Oct 2012 05:42:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:47:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.